Debian DSA-1272-1 : tcpdump - buffer overflow

Medium Nessus Plugin ID 24881

Synopsis

The remote Debian host is missing a security-related update.

Description

Moritz Jodeit discovered an off-by-one buffer overflow in tcpdump, a powerful tool for network monitoring and data acquisition, which allows denial of service.

Solution

Upgrade the tcpdump package.

For the stable distribution (sarge) this problem has been fixed in version 3.8.3-5sarge2.

For the upcoming stable distribution (etch) this problem has been fixed in version 3.9.5-2.

See Also

http://www.debian.org/security/2007/dsa-1272

Plugin Details

Severity: Medium

ID: 24881

File Name: debian_DSA-1272.nasl

Version: 1.13

Type: local

Agent: unix

Published: 2007/03/26

Updated: 2019/08/02

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:tcpdump, cpe:/o:debian:debian_linux:3.1

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Patch Publication Date: 2007/03/22

Reference Information

CVE: CVE-2007-1218

DSA: 1272

CWE: 119, 189